#include<iostream>
#include<cmath>
using namespace std;
int main(){
int N;
cin>>N;
int X[N], Y[N], out=0;
for(int i=0;i<N;i++){
    cin>>X[i]>>Y[i];
}
int temp,t;
for(int i=0;i<N;i++){
    for(int a=0;a<N;a++){
        temp=fabs(X[i]-X[a]);
        t=fabs(Y[i]-Y[a]);
        out+=pow(temp,2)+pow(t,2);
    }
}
cout<<out/2;
return 0;
}
